<?php
/**
 * The template part for displaying video post
 *
 * @package VW Wedding 
 * @subpackage vw_wedding
 * @since VW Wedding 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>
<?php
  $content = apply_filters( 'the_content', get_the_content() );
  $video = false;

  // Only get video from the content if a playlist isn't present.
  if ( false === strpos( $content, 'wp-playlist-script' ) ) {
    $video = get_media_embedded_in_content( $content, array( 'video', 'object', 'embed', 'iframe' ) );
  }
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="post-main-box">
    <div class="box-image">
      <?php
        if ( ! is_single() ) {
          // If not a single post, highlight the video file.
          if ( ! empty( $video ) ) {
            foreach ( $video as $video_html ) {
              echo '<div class="entry-video">';
                echo $video_html;
              echo '</div>';
            }
          };
        };
      ?>
    </div>
    <h3 class="section-title"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h3>
    <?php if(get_theme_mod('vw_wedding_toggle_postdate',true)==1 || get_theme_mod('vw_wedding_toggle_author',true)==1 || get_theme_mod('vw_wedding_toggle_comments',true)==1){ ?> 
    <div class="post-info">
      <?php if(get_theme_mod('vw_wedding_toggle_postdate',true)==1){ ?> 
        <i class="fas fa-calendar-alt"></i><span class="entry-date"><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_wedding_toggle_author',true)==1){ ?> 
        <i class="far fa-user"></i><span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_wedding_toggle_comments',true)==1){ ?> 
        <i class="fa fa-comments" aria-hidden="true"></i><span class="entry-comments"><?php comments_number( __('0 Comment','vw-wedding'), __('0 Comments','vw-wedding'), __('% Comments','vw-wedding') ); ?> </span>
      <?php } ?>
    </div>
    <?php }?>
    <div class="new-text">
      <div class="entry-content"><p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_wedding_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_wedding_excerpt_number','30')))); ?></p></div>
    </div>
    <div class="content-bttn">
      <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small hvr-sweep-to-right" title="<?php esc_attr_e( 'Read More','vw-wedding' ); ?>"><?php esc_html_e('Read More','vw-wedding'); ?><span class="screen-reader-text"><?php esc_html_e( 'Read More','vw-wedding' );?></span></a>
    </div>
  </div>
</article>